View Issue Details

IDProjectCategoryView StatusLast Update
0000855SymmetricDSImprovementpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version3.2.0Fixed in Version3.2.0 
Summary0000855: Create a new heartbeat channel for sym_node_host. Deprecate heartbeat_time on sym_node
DescriptionSplit runtime information off into another channel other than config for more flexibility. Sometimes you want to control sym_node and sym_* config synchronization independently.
TagsNo tags attached.

Activities

chenson

2012-12-16 12:32

administrator   ~0000148

Prepare for release

Related Changesets

SymmetricDS: master 7d18011f

2012-11-09 18:13:07

chenson

Details Diff
0000855: Create a new heartbeat channel for sym_node_host. Deprecate heartbeat_time on sym_node
0000855
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/Constants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/job/DefaultOfflineServerListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/job/PushHeartbeatListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Node.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/OutgoingBatches.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/INodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IOutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractRouterServiceTest.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/InfoUriHandler.java Diff File

SymmetricDS: master be45dcd2

2012-11-14 14:52:53

chenson

Details Diff
0000855: Create a new heartbeat channel for sym_node_host. Deprecate heartbeat_time on sym_node
0000855
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2012-10-12 20:55 chenson New Issue
2012-10-12 20:56 chenson Target Version => 3.2.0
2012-10-12 20:56 chenson Assigned To => chenson
2012-10-12 20:56 chenson Status new => assigned
2012-11-09 12:11 chenson Summary Split runtime information off into another channel other than config for more flexibility => Create a new heartbeat channel for sym_node_host. Deprecate heartbeat_time on sym_node
2012-11-09 18:14 chenson Status assigned => resolved
2012-11-09 18:14 chenson Fixed in Version => 3.2.0
2012-11-09 18:14 chenson Resolution open => fixed
2012-12-16 12:32 chenson Note Added: 0000148
2012-12-16 12:32 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6502
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6507
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master be45dcd2
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 7d18011f